Skip to main content
POST
/
automation
/
sequences
/
2026-03
/
enrollments
Enroll a contact into a sequence
curl --request POST \
  --url https://api.hubapi.com/automation/sequences/2026-03/enrollments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "contactId": "<string>",
  "senderEmail": "<string>",
  "sequenceId": "<string>",
  "senderAliasAddress": "<string>"
}
'
{
  "enrolledAt": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "toEmail": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

userId
string
required

The unique identifier of the user performing the enrollment. This parameter is required.

Body

application/json
contactId
string
required

The unique identifier of the contact to be enrolled in the sequence.

senderEmail
string
required

The email address of the sender enrolling the contact in the sequence.

sequenceId
string
required

The unique identifier of the sequence in which the contact will be enrolled.

senderAliasAddress
string

The alias email address used by the sender when enrolling the contact.

Response

successful operation

enrolledAt
string<date-time>
required

The date and time when the contact was enrolled in the sequence.

id
string
required

The unique identifier for the sequence enrollment.

toEmail
string
required

The email address of the contact enrolled in the sequence.

updatedAt
string<date-time>
required

The date and time when the sequence enrollment was last updated.

Last modified on March 30, 2026